Create a User
Create a new user in your organization
POST
POST /v1/users
Create a User
Create a new user in your organization.Permissions
Starting in OpenMetadata 2.0.3, assigning a user to a closed team (isJoinable: false) during creation requires an administrator.
Body Parameters
POST /v1/users
Returns
Returns the created user object with all specified properties and system-generated fields.Response
Create or Update (PUT)
UsePUT /v1/users instead of POST to perform an upsert. If a user with the same fullyQualifiedName already exists, it will be updated; otherwise, a new user is created. The request body is the same as POST.
PUT will not return a 409 conflict error if the entity already exists — it will update the existing entity instead.Bulk Create or Update (PUT)
UsePUT /v1/users/bulk to create or update multiple users in a single request. The request body is an array of create request objects.